local GetWorldNewInfoMessage = BaseClass("GetWorldNewInfoMessage", SFSBaseMessage)
local base = SFSBaseMessage
local Localization = CS.GameEntry.Localization
local OnCreate = function(self)
  base.OnCreate(self)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  local errCode = t.errorCode
  if errCode ~= nil then
    UIUtil.ShowTipsId(errCode)
  else
    DataCenter.WorldNewsDataManager:UpdateWorldNewsData(t)
  end
end
GetWorldNewInfoMessage.OnCreate = OnCreate
GetWorldNewInfoMessage.HandleMessage = HandleMessage
return GetWorldNewInfoMessage
